package data

import "streifling.com/jason/sicherheitsunterweisung/packages/types"

func InitQuestions() []types.Question {
	Q := make([]types.Question, 0)

	Q = append(Q, types.Question{
		Text: "Wie viel ist 1+1?",
		Answers: []types.Answer{
			{ID: 0, Text: "1"},
			{ID: 1, Text: "2"},
			{ID: 2, Text: "3"},
			{ID: 3, Text: "4"},
		},
		Correct: 1,
	})

	Q = append(Q, types.Question{
		Text: "Wie viel ist 2+2?",
		Answers: []types.Answer{
			{ID: 0, Text: "1"},
			{ID: 1, Text: "2"},
			{ID: 2, Text: "3"},
			{ID: 3, Text: "4"},
		},
		Correct: 3,
	})

	Q = append(Q, types.Question{
		Text: "Wie viel ist 1+2?",
		Answers: []types.Answer{
			{ID: 0, Text: "1"},
			{ID: 1, Text: "2"},
			{ID: 2, Text: "3"},
			{ID: 3, Text: "4"},
		},
		Correct: 2,
	})

	return Q
}
